GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/scheduler-scripts
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/scheduler-scripts" \
-H "Authorization: Bearer <YOUR_API_KEY>"const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/scheduler-scripts", {
method: "GET",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
},
});
const data = await response.json();import requests
response = requests.get(
"https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/scheduler-scripts",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
admDeviceId
string
required
Responses
200 Response
application/json
status
boolean
optional
data
array [object]
optional
id
string
optional
type
string
optional
loopTime
integer
optional
resetDate
string
optional
name
string
optional
description
string
optional
runner
string
optional
arguments
string
optional
scope
any
optional
{
"status": true,
"data": [
{
"id": "string",
"type": "once",
"loopTime": 0,
"resetDate": "2024-01-01T00: 00:00Z",
"name": "string",
"description": "string",
"runner": "string",
"arguments": "string",
"scope": "string"
}
]
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}